QGIS Application - Bug report #7126
User needs to be able to cancel long render operation
2013-02-08 05:11 PM - Patrick Dunford

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 16195
Description

During a render that is taking a long time, the user has no opportunity to cancel the operation.

There should be either a dialog box with a cancel button presented, or the keyboard should be scanned for presses of the Esc key.

Otherwise there is only the option of force quitting the application and losing unsaved changes in the current project.

1.9.0

History

#1 - 2013-02-09 01:22 AM - Giovanni Manghi
- Status changed from Open to Feedback
- Category set to Map Canvas

near the bottom right of the qgis window you have a "stop rendering" button, does this work for you?

#2 - 2014-06-21 01:40 PM - Giovanni Manghi
- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

with multithreading this is no longer an issue.

2025-04-27 1/1




